X2Go Bug report logs - #791
Fwd: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent killed by SIGSEGV

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Wed, 18 Feb 2015 18:10:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version 3.5.0.28

Fixed in version 3.5.99.0

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/92

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#791; Package nx-libs. (Wed, 18 Feb 2015 18:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 18 Feb 2015 18:10:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Fwd: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent killed by SIGSEGV
Date: Wed, 18 Feb 2015 11:02:43 -0700
Package: nx-libs
Version: 3.5.0.28

Events.c:1251 is:

x.u.u.detail = inputInfo.pointer -> button ->
map[nxagentReversePointerMap[X.xbutton.button - 1]];

X.xbutton.button = 0 :

 X = {type = 4, xany = {type = 4, serial = 0, send_event = 0, display =
0x159ba50, window = 0}, xkey = {type = 4, serial = 0, send_event = 0, display
= 0x159ba50, window = 0, root = 7848854, subwindow = 11409376, time = 0, x =
-772, y = -13337, x_root = 32767, y_root = 0, state = 57, keycode = 0,
same_screen = 0}, xbutton = {type = 4, serial = 0, send_event = 0, display =
0x159ba50, window = 0, root = 7848854, subwindow = 11409376, time = 0, x =
-772, y = -13337, x_root = 32767, y_root = 0, state = 57, button = 0,
same_screen = 0}


-------- Forwarded Message --------
Subject: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent
killed by SIGSEGV
Date: Wed, 18 Feb 2015 15:30:49 +0000
From: bugzilla@redhat.com
To: orion@cora.nwra.com

https://bugzilla.redhat.com/show_bug.cgi?id=1193943

            Bug ID: 1193943
           Summary: [abrt] nxagent: nxagentDispatchEvents(): nxagent
                    killed by SIGSEGV
           Product: Fedora
           Version: 20
         Component: nx-libs
          Assignee: orion@cora.nwra.com
          Reporter: unixi@freeshell.org
        QA Contact: extras-qa@fedoraproject.org
                CC: orion@cora.nwra.com



Version-Release number of selected component:
nxagent-3.5.0.28-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/nx/bin/nxagent -persistent -D -name 'NX -
jboyle@mnich.myquotient.net:2000 - mnich (GPL Edition)' -option
/home/jboyle/.nx/C-mnich.myquotient.net-2000-9C1FED17795787217FBC80B6F1F2E86E/options
-nolisten tcp :2000
crash_function: nxagentDispatchEvents
executable:     /usr/lib64/nx/bin/nxagent
kernel:         3.18.5-101.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 nxagentDispatchEvents at Events.c:1251
 #1 nxagentBlockHandler at Handlers.c:446
 #2 BlockHandler at dixutils.c:442
 #3 WaitForSomething at WaitFor.c:257
 #4 Dispatch at X/NXdispatch.c:619

-- 
You are receiving this mail because:
You are on the CC list for the bug.
You are the assignee for the bug.



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#791; Package nx-libs. (Wed, 24 Feb 2016 14:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Feb 2016 14:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 791@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 791@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#791: Fwd: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent killed by SIGSEGV
Date: Wed, 24 Feb 2016 14:43:25 +0000
[Message part 1 (text/plain, inline)]
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/92

On  Mi 18 Feb 2015 19:02:43 CET, Orion Poplawski wrote:

> Package: nx-libs
> Version: 3.5.0.28
>
> Events.c:1251 is:
>
> x.u.u.detail = inputInfo.pointer -> button ->
> map[nxagentReversePointerMap[X.xbutton.button - 1]];
>
> X.xbutton.button = 0 :
>
>  X = {type = 4, xany = {type = 4, serial = 0, send_event = 0, display =
> 0x159ba50, window = 0}, xkey = {type = 4, serial = 0, send_event = 0, display
> = 0x159ba50, window = 0, root = 7848854, subwindow = 11409376, time = 0, x =
> -772, y = -13337, x_root = 32767, y_root = 0, state = 57, keycode = 0,
> same_screen = 0}, xbutton = {type = 4, serial = 0, send_event = 0, display =
> 0x159ba50, window = 0, root = 7848854, subwindow = 11409376, time = 0, x =
> -772, y = -13337, x_root = 32767, y_root = 0, state = 57, button = 0,
> same_screen = 0}
>
>
> -------- Forwarded Message --------
> Subject: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent
> killed by SIGSEGV
> Date: Wed, 18 Feb 2015 15:30:49 +0000
> From: bugzilla@redhat.com
> To: orion@cora.nwra.com
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1193943
>
>             Bug ID: 1193943
>            Summary: [abrt] nxagent: nxagentDispatchEvents(): nxagent
>                     killed by SIGSEGV
>            Product: Fedora
>            Version: 20
>          Component: nx-libs
>           Assignee: orion@cora.nwra.com
>           Reporter: unixi@freeshell.org
>         QA Contact: extras-qa@fedoraproject.org
>                 CC: orion@cora.nwra.com
>
>
>
> Version-Release number of selected component:
> nxagent-3.5.0.28-1.fc20
>
> Additional info:
> reporter:       libreport-2.2.3
> backtrace_rating: 4
> cmdline:        /usr/lib64/nx/bin/nxagent -persistent -D -name 'NX -
> jboyle@mnich.myquotient.net:2000 - mnich (GPL Edition)' -option
> /home/jboyle/.nx/C-mnich.myquotient.net-2000-9C1FED17795787217FBC80B6F1F2E86E/options
> -nolisten tcp :2000
> crash_function: nxagentDispatchEvents
> executable:     /usr/lib64/nx/bin/nxagent
> kernel:         3.18.5-101.fc20.x86_64
> runlevel:       3 5
> type:           CCpp
> uid:            1000
>
> Truncated backtrace:
> Thread no. 1 (5 frames)
>  #0 nxagentDispatchEvents at Events.c:1251
>  #1 nxagentBlockHandler at Handlers.c:446
>  #2 BlockHandler at dixutils.c:442
>  #3 WaitForSomething at WaitFor.c:257
>  #4 Dispatch at X/NXdispatch.c:619

This issue is now being tracked on Github:
https://github.com/ArcticaProject/nx-libs/issues/92

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/issues/92'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 791-submit@bugs.x2go.org. (Wed, 24 Feb 2016 14:45:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#791; Package nx-libs. (Mon, 13 Jun 2016 21:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Jun 2016 21:55:01 GMT) Full text and rfc822 format available.

Message #17 received at 791@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 791@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#791: Fwd: [Bug 1193943] New: [abrt] nxagent: nxagentDispatchEvents(): nxagent killed by SIGSEGV
Date: Mon, 13 Jun 2016 21:50:50 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 fixed-upstream
Control: fixed -1 3.5.99.0

Hi all,

On  Mi 18 Feb 2015 19:02:43 CET, Orion Poplawski wrote:

> Package: nx-libs
> Version: 3.5.0.28
>
> Events.c:1251 is:
>
> x.u.u.detail = inputInfo.pointer -> button ->
> map[nxagentReversePointerMap[X.xbutton.button - 1]];
>
> X.xbutton.button = 0 :
>
> [...]

This issue has likely been resolved for 3.6.x of nx-libs.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 791-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 791-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:55:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 02:53:13 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.